
local lm    = require 'lm'
local vcard = require 'lm.vcard'

main.command ( 'vcard-temp',
	function ( args )
		vcard.retrieve ( lm.connection.bless ( main.connection () ), args[1],
			function ( form, submit, reject )
				insert_form ( form,
					function ( form )
						submit ( form,
							function ()
								print ( 'Vcard changed' )
							end,
							function ( mesg )
								print ( 'Vcard changing error: ' .. mesg )
							end )
					end,
					function ( form )
						reject ( form,
							function ()
								print ( 'Vcard changing cancelled' )
							end,
							function ( mesg )
								print ( 'Vcard changing cancellation error: ' .. mesg )
							end )
					end )
			end,
			function ( mesg )
				print ( 'Vcard obtaining error: ' .. mesg )
			end )
	end, true, 'jid' )

-- vim: se ts=4: --
